CGAL 6.1.2 - Weights: Inverse Distance Weight

CGAL 6.1.2 - Weights

Loading...
Searching...
No Matches
Functions
Inverse Distance Weight
Reference Manual » Analytic Weights

##

`#include<CGAL/Weights/inverse_distance_weights.h>`

This weight is computed as \(w = \frac{1}{d}\) with notations shown in the figure below.

Here, the distance is computed between the points `p` and `q`.

Alternative formulations are explained in Implementation.

Figure 113.1 Notation used for the inverse distance weight.

Alternative Formulations
This weight is a special case of the Shepard Weight.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2` for 2D points; a model of `AnalyticWeightTraits_3` for 3D points

Precondition
  d != 0

## Functions
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::inverse_distance_weight (const typename GeomTraits::Point_2 &, const typename GeomTraits::Point_2 &p, const typename GeomTraits::Point_2 &, const typename GeomTraits::Point_2 &q, const GeomTraits &traits)
| computes the inverse distance weight in 2D using the points `p` and `q`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::inverse_distance_weight (const CGAL::Point_2< Kernel > &, const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &, const CGAL::Point_2< Kernel > &q)
| computes the inverse distance weight in 2D using the points `p` and `q`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::inverse_distance_weight (const typename GeomTraits::Point_2 &p, const typename GeomTraits::Point_2 &q, const GeomTraits &traits)
| computes the inverse distance weight in 2D using the points `p` and `q`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::inverse_distance_weight (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q)
| computes the inverse distance weight in 2D using the points `p` and `q`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::inverse_distance_weight (const typename GeomTraits::Point_3 &, const typename GeomTraits::Point_3 &p, const typename GeomTraits::Point_3 &, const typename GeomTraits::Point_3 &q, const GeomTraits &traits)
| computes the inverse distance weight in 3D using the points `p` and `q`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::inverse_distance_weight (const CGAL::Point_3< Kernel > &, const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &, const CGAL::Point_3< Kernel > &q)
| computes the inverse distance weight in 3D using the points `p` and `q`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::inverse_distance_weight (const typename GeomTraits::Point_3 &p, const typename GeomTraits::Point_3 &q, const GeomTraits &traits)
| computes the inverse distance weight in 3D using the points `p` and `q`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::inverse_distance_weight (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q)
| computes the inverse distance weight in 3D using the points `p` and `q`.

## Function Documentation

## ◆ inverse_distance_weight() [1/8]

template<typename Kernel >

Kernel::FT CGAL::Weights::inverse_distance_weight | ( | const CGAL::Point_2< Kernel > & | ,
|  | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | ,
|  | const CGAL::Point_2< Kernel > & | q
| ) |  |

`#include <CGAL/Weights/inverse_distance_weights.h>`

computes the inverse distance weight in 2D using the points `p` and `q`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ inverse_distance_weight() [2/8]

template<typename Kernel >

Kernel::FT CGAL::Weights::inverse_distance_weight | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q
| ) |  |

`#include <CGAL/Weights/inverse_distance_weights.h>`

computes the inverse distance weight in 2D using the points `p` and `q`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ inverse_distance_weight() [3/8]

template<typename Kernel >

Kernel::FT CGAL::Weights::inverse_distance_weight | ( | const CGAL::Point_3< Kernel > & | ,
|  | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | ,
|  | const CGAL::Point_3< Kernel > & | q
| ) |  |

`#include <CGAL/Weights/inverse_distance_weights.h>`

computes the inverse distance weight in 3D using the points `p` and `q`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ inverse_distance_weight() [4/8]

template<typename Kernel >

Kernel::FT CGAL::Weights::inverse_distance_weight | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q
| ) |  |

`#include <CGAL/Weights/inverse_distance_weights.h>`

computes the inverse distance weight in 3D using the points `p` and `q`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ inverse_distance_weight() [5/8]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::inverse_distance_weight | ( | const typename GeomTraits::Point_2 & | ,
|  | const typename GeomTraits::Point_2 & | p,
|  | const typename GeomTraits::Point_2 & | ,
|  | const typename GeomTraits::Point_2 & | q,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/inverse_distance_weights.h>`

computes the inverse distance weight in 2D using the points `p` and `q`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2`

Examples
  Weights/custom_traits.cpp.

## ◆ inverse_distance_weight() [6/8]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::inverse_distance_weight | ( | const typename GeomTraits::Point_2 & | p,
|  | const typename GeomTraits::Point_2 & | q,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/inverse_distance_weights.h>`

computes the inverse distance weight in 2D using the points `p` and `q`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2`

## ◆ inverse_distance_weight() [7/8]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::inverse_distance_weight | ( | const typename GeomTraits::Point_3 & | ,
|  | const typename GeomTraits::Point_3 & | p,
|  | const typename GeomTraits::Point_3 & | ,
|  | const typename GeomTraits::Point_3 & | q,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/inverse_distance_weights.h>`

computes the inverse distance weight in 3D using the points `p` and `q`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_3`

## ◆ inverse_distance_weight() [8/8]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::inverse_distance_weight | ( | const typename GeomTraits::Point_3 & | p,
|  | const typename GeomTraits::Point_3 & | q,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/inverse_distance_weights.h>`

computes the inverse distance weight in 3D using the points `p` and `q`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_3`